apiVersion: batch/v1
# change to v1 in k8s 1.21
kind: CronJob
metadata:
  name: prepare-static-web
spec:
  schedule: "0 */2 * * *"
  concurrencyPolicy: Forbid
  failedJobsHistoryLimit: 3
  successfulJobsHistoryLimit: 3
  jobTemplate:
    spec:
      backoffLimit: 1
      template:
        spec:
          restartPolicy: Never
          containers:
          - name: prepare-static-web
            image: docker-images.jobtechdev.se/djs-prepare-static-web/djs-prepare-static-web:latest
            imagePullPolicy: Always
            securityContext:
              allowPrivilegeEscalation: false
            envFrom:
            - secretRef:
                name: rclone-secrets
            - configMapRef:
                name: env-cm
            volumeMounts:
            - name: secret-volume
              mountPath: /secrets
            - name: tmp
              mountPath: /tmp
            resources:
              limits:
                memory: "2048Mi"
              requests:
                memory: "1024Mi"
          volumes:
          - name: secret-volume
            secret:
              secretName: rclone-secrets
          - name: tmp
            emptyDir: {}
